<?php

namespace Waypoint\Agent\Integrations;

use Waypoint\Agent\Base\Thing;

class Rank_Math_Disable_Content_Ai extends Thing {

	public function attach_hooks(): void {
		add_filter( 'rank_math/content_ai/disable', '__return_true' );
		add_filter( 'rank_math/modules', [ $this, 'remove_module' ] );
	}

	public function remove_module( array $modules ): array {
		unset( $modules['content-ai'] );
		return $modules;
	}
}
